<?
/* DESCRIPTION: Debugging ruleset.
Replaces every occurence of "Squirrel<!-- -->Mail" with "PostModRegEx is active" */

/* The DESCRIPTION thingy above will be the text that appears after the
 * checkbox in the options screen to enable the rules in this file.
 * It may be on multiple lines, enclosed in C-style comment marks, with the
 * keyword DESCRIPTION, followed by a colon. It must not contain an
 * asterisk followed by a forward slash, but must end with that.
 *
 *
 * Adding a rule: 
 * 
 *  $rules['script'][] = array('pattern' => 'replacement');
 *
 * 'script' is the script file (e.g. 'read_body.php') that is to be
 * modificated.
 * 'pattern' and 'replacement' are regular expression patterns and 
 * replacements. They are used in exactly the same manner as described 
 * on <http://php.net/manual/function.preg-replace.php>. For more 
 * information on Perl Compatible Regular Expressions, visit
 * <http://php.net/manual/pcre.pattern.syntax.php>
 *
 * 
 * You may also just insert code that plays with the $data variable.
 * $data contains the raw HTML output of SquirrelMail.
 *
 *
 * It is awfully easy to break Squirrelmail with these rulesets :-)
 */

$rules['*'][] = array('/SquirrelMail/' => 'PostModRegEx is active');

?>