<?
function squirrelmail_plugin_init_postmodregex() {
	
	global $squirrelmail_plugin_hooks;
		
	$squirrelmail_plugin_hooks['postmod']['postmodregex'] = 'postmodregex_postmod';
	$squirrelmail_plugin_hooks['optpage_register_block']['postmodregex'] = 'postmodregex_option_block';

}

function postmodregex_postmod() {

	global $username, $data_dir, $postmod_script, $postmod_output_data;

	// This is just a small helper function to make sure that users who
	// haven't enabled the plugin don't waste cycles.

	if( (basename($postmod_script) != 'login.php') && getPref($data_dir, $username, 'postmodregex_enabled', false) == true ) {
		include_once(SM_PATH . 'plugins/postmodregex/functions.php');
	
		postmodregex_mod_output($postmod_output_data, $postmod_script);
	}
}

function postmodregex_option_block() {

        global $optpage_blocks;

        include_once(SM_PATH . 'functions/i18n.php');
        bindtextdomain('postmodregex', SM_PATH . 'plugins/postmodregex/locale');
        textdomain('postmodregex');

        $optpage_blocks[] = array(
                'name' => _("PostMod Config"),
                'url'  => SM_PATH . 'plugins/postmodregex/options.php',
                'desc' => _("Here you may activate postprocessing of the Squirrelmail pages. That may include things like hotkey support and corrections that can only be done in postprocessing.."),
                'js'   => false
        );

        bindtextdomain('squirrelmail', SM_PATH . 'locale');
        textdomain('squirrelmail');

}

function postmodregex_version() {
	
	return "0.3";
	
}

?>